pydo.domains.create_record()
Generated on 8 May 2026
from pydo version
v0.34.0
Usage
client.domains.create_record(
domain_name="example.com",
body={
"type": "NS",
"name": "@",
"data": "ns1.digitalocean.com",
...,
},
)Description
To create a new record to a domain, send a POST request to
/v2/domains/{domain_name}/records.
The request must include all of the required fields for the domain record type being added.
See the attribute table for details regarding record types and their respective required attributes.
Parameters
domain_namestring requiredThe name of the domain itself.
idinteger optional read-onlyExample:
28448429A unique identifier for each domain record.
typestring requiredExample:
NSThe type of the DNS record. For example: A, CNAME, TXT, ...
namestring optionalExample:
@The host name, alias, or service being defined by the record.
datastring optionalExample:
ns1.digitalocean.comVariable data depending on record type. For example, the "data" value for an A record would be the IPv4 address to which the domain will be mapped. For a CAA record, it would contain the domain name of the CA being granted permission to issue certificates.
priorityinteger or null optionalThe priority for SRV and MX records.
portinteger or null optionalThe port for SRV records.
ttlinteger optionalExample:
1800This value is the time to live for the record, in seconds. This defines the time frame that clients can cache queried information before a refresh should be requested.
weightinteger or null optionalThe weight for SRV records.
flagsinteger or null optionalAn unsigned integer between 0-255 used for CAA records.
tagstring or null optionalThe parameter tag for CAA records. Valid values are "issue", "issuewild", or "iodef"
Request Sample
Response Example
More Information
See /v2/domains/{domain_name}/records in the API reference for additional detail on responses, headers, parameters, and more.